<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 1995-2003 Jasc Software, Inc. and its licensors. -->
<!-- All rights reserved. -->
<xsl:script xmlns:xsl="http://www.w3.org/TR/WD-xsl"><![CDATA[
   function GetAlbumTitle()
   {
		albumInfo = selectSingleNode("//photos/album");
		albumTitle = albumInfo.getAttribute("title");
		return albumTitle;
   }

    function GetTotal(node)
    {
	    num = 0;
		imginfo = node.selectNodes("//imagelist/imageinfo");
		for (v = imginfo.nextNode(); v; v = imginfo.nextNode())
			num = num+1;
	   return num;
   }

//    Useful routines for having multiple images per page (eg., a table of contents 
//     page split across multiple pages).   Assumes that pages are named:
//     index.htm, index1.htm, index2.htm, etc,   In order to use these routines
//     you must set the variable 'ImagesPerPage" to the number of images per 
//    page you want 
  
function GetPageName(pageNum)
{
	if (pageNum <= 0)
		pageName = "index.htm";
	else
		pageName = "index" + pageNum + ".htm";
	return pageName;
}

function GetPageNum(node)
{
	chNum = childNumber(node) -  1;
	if (chNum < ImagesPerPage )
		return 0;
	rem = chNum % ImagesPerPage ;
	pageNum = (chNum - rem) / ImagesPerPage ;
	return (pageNum);
}

 function GetTocName(node)
{
	iNum  = GetPageNum(node);
	return (GetPageName(iNum));
}

function IsFirstPage(node)
{
	curPageNum = GetPageNum(node);
	if (curPageNum  == 0)
		return 1;
	else
		return 0;
}

function GetPrevPage(node)
{
	curNum = GetPageNum(node);
	curNum  = curNum - 1;
	if (curNum < 0)
		return "";
	return (GetPageName(curNum));
}


function IsLastPage(node)
{
	curPageNum  = GetPageNum(node);
	imginfo = node.selectNodes("//imagelist/imageinfo");
	for (v = imginfo.nextNode(); v; v = imginfo.nextNode())
		last = v;
	lastPageNum = GetPageNum(last);
	if (lastPageNum == curPageNum)
		return 1;
	else
		return 0;
}

function GetNextPage(node)
{
	curNum = GetPageNum(node);
	curNum  = curNum + 1;
	return (GetPageName(curNum));
}

]]></xsl:script>
